> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Propose a fact for a pack

> A correction or a thumbs-down with a correction. It reaches the pack
only if a steward promotes it and the new version is approved.



## OpenAPI

````yaml post /api/registry/context/candidates
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/context/candidates:
    post:
      tags:
        - Context packs
      summary: Propose a fact for a pack
      description: |-
        A correction or a thumbs-down with a correction. It reaches the pack
        only if a steward promotes it and the new version is approved.
      operationId: propose_candidate_api_registry_context_candidates_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CandidateCreateRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CandidateView'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CandidateCreateRequest:
      properties:
        pack_artifact_id:
          type: string
          format: uuid
          title: Pack Artifact Id
        text:
          type: string
          maxLength: 2000
          minLength: 3
          title: Text
        source:
          type: string
          enum:
            - correction
            - feedback
          title: Source
          default: correction
        run_id:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Run Id
        chat_thread_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Chat Thread Id
        chat_seq:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chat Seq
        message:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Message
      type: object
      required:
        - pack_artifact_id
        - text
      title: CandidateCreateRequest
      description: Propose a fact for a pack.
    CandidateView:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        pack_artifact_id:
          type: string
          format: uuid
          title: Pack Artifact Id
        text:
          type: string
          title: Text
        source:
          type: string
          title: Source
        evidence:
          additionalProperties: true
          type: object
          title: Evidence
        proposer:
          type: string
          title: Proposer
        status:
          type: string
          title: Status
        raises_sensitivity:
          type: boolean
          title: Raises Sensitivity
        duplicates:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Duplicates
        decided_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Decided By
        decided_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Decided At
        decision_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Decision Reason
        item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Item Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - pack_artifact_id
        - text
        - source
        - evidence
        - proposer
        - status
        - raises_sensitivity
        - created_at
      title: CandidateView
      description: A proposed fact awaiting a steward.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.